shishi_key_value_set(3)

NAME
shishi_key_value_set - API function

SYNOPSIS
#include <shishi.h>

void shishi_key_value_set(Shishi_key * key, const char * value);

ARGUMENTS

Shishi_key * key
    structure that holds key information

const char * value
    input array with key data.

DESCRIPTION
Set the key value and length in key structure. The value is copied into the key (in other words, you can deallocate value right after calling this function without modifying the value inside the key).

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.